Updates for Adobe Flash

Questions about codecs, DVD playback, web plugins...
Forum rules
Before you post please read how to get help

Updates for Adobe Flash

Postby dfx on Mon Mar 07, 2011 6:29 pm

Is there a way to get a newer version of Adobe Flash?

The version in LMDE seems to be a beta from Septmeber of last year and Flash is common to have serious security issues. Flash in LMDE is provided by the package mint-flashplugin, but removing it also removes mint-meta-codecs, mint-meta-debian and mint-meta-common

In earlier versions of LMDE it was possible to use
Code: Select all
update-flashplugin-nonfree --install

Any thoughts or ideas?
dfx
Level 1
Level 1
 
Posts: 34
Joined: Sun Nov 14, 2010 12:35 pm

Linux Mint is funded by ads and donations.
 

Re: Updates for Adobe Flash

Postby richyrich on Mon Mar 07, 2011 7:07 pm

Please note : (only my opinion, your choice)

flashplugin-nonfree will always need to be updated manually by the user ! . . flashplayer-mozilla will show up, and be available in regular updates soon after adobe releases a new update !
Quoted from the debian forums . .
think that installing the package flashplayer-mozilla from the Debian-Multimedia repository is righter, because the package is the plug-in itself, and it is updated soon after Adobe releases a new version of Flash. The package flashplugin-nonfree is a script that downloads and installs the version of the plug-in available at the time, and leaves further updates to the user (1). Pondering the everyday usage of the plug-in and that newer versions not only include new features but security fixes, the automatic update of the Flash plug-in seems important.

Code: Select all
apt-get install flashplayer-mozilla


meta packages are just lists of packages that are installed, once a package has been removed, the meta package is no longer valid . . it's okay to remove it, won't hurt anything.

regards,
User avatar
richyrich
Level 13
Level 13
 
Posts: 4763
Joined: Mon May 04, 2009 8:31 pm
Location: Somewhere in northern Saskatchewan, Canada

Mint's 64-bit plugin?

Postby TheGreatSudoku on Wed Mar 09, 2011 7:42 pm

mint-flashplugin-x64... how often does that receive updates?
↯Acer Aspire 7730 17" laptop ↝ Intel Core Duo 2.00Ghz x2  4gig DDR2 RAM ⤗ Intel Mobile 4 Graphics ➫ Kernel: 3.2.0-14-liquorix ZEN SMP PREEMPT x86_64  Linux Mint Debian Edition using Sid Repositories ⇨ KDE 4.7.4 ⟿ Installed: 11/23/2010↯
User avatar
TheGreatSudoku
Level 3
Level 3
 
Posts: 149
Joined: Tue Dec 07, 2010 12:05 am

Re: Updates for Adobe Flash

Postby beew on Fri Mar 11, 2011 10:56 pm

Use the flash-aid plugin for Firefox. It works in any Debian derivative.
beew
Level 1
Level 1
 
Posts: 9
Joined: Wed Mar 02, 2011 4:15 am

Re: Updates for Adobe Flash

Postby mockturtl on Tue Mar 15, 2011 11:28 pm

This doesn't seem to be showing up in the "Tutorials/Howtos" thread list, but:

viewtopic.php?f=42&t=68300
Image
User avatar
mockturtl
Level 4
Level 4
 
Posts: 442
Joined: Sat Oct 09, 2010 8:51 pm


Return to Sound, Multimedia & Codecs

Who is online

Users browsing this forum: No registered users and 2 guests